Bug 678530 - drivers/isdn/hysdn/hysdn_boot.c:398:1: internal compiler error: in extract_insn, at recog.c:2109
Summary: drivers/isdn/hysdn/hysdn_boot.c:398:1: internal compiler error: in extract_in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 11:24 UTC by Sami Farin
Modified: 2011-03-03 03:38 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.0-0.11.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-18 15:22:13 UTC


Attachments (Terms of Use)
Preprocessed source (700.41 KB, text/plain)
2011-02-18 11:24 UTC, Sami Farin
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 47800 None None None Never

Description Sami Farin 2011-02-18 11:24:41 UTC
Created attachment 479485 [details]
Preprocessed source

Description of problem:
Linux 2.6.36.4 does not compile

drivers/isdn/hysdn/hysdn_boot.c: In function ‘EvalSysrTokData’:
drivers/isdn/hysdn/hysdn_boot.c:398:1: error: unrecognizable insn:
(insn 291 56 292 10 (set (subreg:SI (reg:DI 37 r8) 0)
        (mem:QI (reg/v/f:DI 1 dx [orig:77 p ] [77]) [0 *p_94+0 S1 A8])) drivers/isdn/hysdn/hysdn_boot.c:351 -1
     (nil))
drivers/isdn/hysdn/hysdn_boot.c:398:1: internal compiler error: in extract_insn, at recog.c:2109
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccEZwsQT.out file, please attach this to your bugreport.

Version-Release number of selected component (if applicable):
gcc version 4.6.0 20110212 (Red Hat 4.6.0-0.7) (GCC) 


How reproducible:
100%

Steps to Reproduce:
1. make drivers/isdn/hysdn/hysdn_boot.o
2.
3.
  
Actual results:
ICE

Expected results:
no ICE

Additional info:

Comment 1 Jakub Jelinek 2011-02-18 13:00:18 UTC
Confirmed, reduced testcase with -O2 -march=nocona:
int
foo (unsigned char *x, unsigned char *y)
{
  unsigned char a;
  for (a = 0; x < y; x++)
    if (a & 0x80)
      a = (unsigned char) (a << 1) + 1 + *x;
    else
      a = (unsigned char) (a << 1) + *x;
  return a;
}

Comment 2 Jakub Jelinek 2011-02-18 15:22:13 UTC
Tracking upstream as http://gcc.gnu.org/PR47800

Comment 3 Fedora Update System 2011-02-20 14:36:25 UTC
gcc-4.6.0-0.8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.8.fc15

Comment 4 Fedora Update System 2011-02-23 11:33:33 UTC
gcc-4.6.0-0.9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.9.fc15

Comment 5 Fedora Update System 2011-03-01 16:06:59 UTC
Package gcc-4.6.0-0.11.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcc-4.6.0-0.11.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.11.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-03-03 03:37:56 UTC
gcc-4.6.0-0.11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.